# Chapter Five: Empowering Bitcoin Transactions

The `bitcoin-cli` interface is ultimately limited. Nonetheless, it contains a few other options including sequence (which is used for RBF), data (for OP_RETURNs), and locktime (for Locktime). These can considerably empower your basic Bitcoin transactions. 

## Objectives for This Section

After working through this chapter, a developer will be able to:

   * Decide Whether RBF or CPFP Might Help a Transaction
   * Create Transactiosn with Data
   * Create Transactions with Locktimes
   
Supporting objectives include the ability to:

   * Understand the Mempool
   * Use RBF or CPFP to Free Up a Stuck Transaction
   * Plan for the Power of RBF
   * Plan for the Power of OP_RETURN
   * Plan for the Power of Locktime
   
## Table of Contents
   
   * [Part One: Watching for Stuck Transactions](5_1_Watching_for_Stuck_Transactions.md)
   * [Part Two: Resending a Transaction with RBF](5_2_Resending_a_Transaction_with_RBF.md)
   * [Part Three: Funding a Transaction with CPFP](5_3_Funding_a_Transaction_with_CPFP.md)
   * [Part Four: Sending a Raw Transaction with Data](5_4_Sending_a_Raw_Transaction_with_Data.md)
   * [Part Five: Sending a Raw Transaction with a Locktime](5_5_Sending_a_Raw_Transaction_with_a_Locktime.md)
